import java.awt.*;
import java.applet.*;
import java.net.*;

public class SoundApplet2 extends Applet
{
    AudioClip soundClip;

    public void init()
    {
        GridLayout layout = new GridLayout(1, 3, 10, 10);
        setLayout(layout);

        Font font = new Font("TimesRoman", Font.BOLD, 24);
        setFont(font);

        Button button = new Button("Play");
        add(button);
        button = new Button("Stop");
        add(button);
        button = new Button("Loop");
        add(button);

        URL codeBase = getCodeBase();
        soundClip = getAudioClip(codeBase, "spacemusic.au");

        resize(250, 250);
    }

    public boolean action(Event evt, Object arg)
    {
        if (arg == "Play")
            soundClip.play();
        else if (arg == "Stop")
            soundClip.stop();
        else if (arg == "Loop")
            soundClip.loop();

        return true;
    }
}

